update dt468 period set 
  period.DI002454 = -- sum avail. cap
  period.DI002454 + 
   (select nvl(sum(period.DI001337), 0)
    from dt468 period_self
    where 
      period_self.DI001326 = period.DI001326
      and period_self.DI001327 = period.DI001327
    group by period_self.DI001327)
where
  period.di001364 = 1
  and period.DI001327 BETWEEN to_date('{start_period}', 'DD.MM.YYYY') AND to_date('{end_period}', 'DD.MM.YYYY')
  and period.DI001326 = '{parent_res_id}'